Create Check Type
curl --request POST \
--url https://api-{region}.sesametime.com/schedule/v1/check-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"remunerated": true,
"name": "Office",
"color": "ssm-salmon",
"icon": "icon-briefcase",
"checkTypeWorkType": "default",
"checkTypeStatus": "active"
}
'import requests
url = "https://api-{region}.sesametime.com/schedule/v1/check-types"
payload = {
"remunerated": True,
"name": "Office",
"color": "ssm-salmon",
"icon": "icon-briefcase",
"checkTypeWorkType": "default",
"checkTypeStatus": "active"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
remunerated: true,
name: 'Office',
color: 'ssm-salmon',
icon: 'icon-briefcase',
checkTypeWorkType: 'default',
checkTypeStatus: 'active'
})
};
fetch('https://api-{region}.sesametime.com/schedule/v1/check-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Validation failed",
"errors": [
{
"field": "questionId",
"message": "This value is not a valid UUID."
},
{
"field": "answer",
"message": "This field is required for text-based questions."
}
]
}{
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}Check Types
Create Check Type
POST
/
schedule
/
v1
/
check-types
Create Check Type
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Legacy remunerated flag
- Non-hybrid remunerated mode
- Hybrid remunerated mode
Use the legacy boolean field. true = remunerated, false = not_remunerated. When sent together with remuneratedMode, this legacy field takes precedence.
true = remunerated, false = not_remunerated.
Example:
true
Check type name
Example:
"Office"
Check type color identifier
Example:
"ssm-salmon"
Check type icon identifier
Example:
"icon-briefcase"
Work type for this check type
Example:
"default"
Status for this check type
Example:
"active"
Response
Was this page helpful?